# common make file for the APG utilities library
#
.SUFFIXES:
.SUFFIXES: .c .cpp .o
#
SHELL  = /bin/sh
CFLAGS = -I../ApgLib
SRCDIR = .
PUBDIR = ../public
OBJDIR = $(SRCDIR)/$(OBJNAME)
LIB    = $(PUBDIR)/$(LIBNAME)
PUBHDR = $(PUBDIR)/ApgUtilities.h
SRCHDR = $(SRCDIR)/ApgUtilities.h
OBJS   = $(OBJDIR)/Display.o \
         $(OBJDIR)/Files.o \
         $(OBJDIR)/IPv6.o
#
# build all
all : $(PUBDIR) $(OBJDIR) $(OBJS) $(PUBHDR)
#
# create the directories, if neccessary
$(PUBDIR) :
	mkdir $(PUBDIR)
#
$(OBJDIR) :
	mkdir $(OBJDIR)
	chmod 755 $(OBJDIR)
#
# implicit rules
$(OBJDIR)/%.o: %.c $(SRCHDR)
	$(CC) -c $(CFLAGS) $(<) -o $(@)
	ar -r $(LIB) $(@)
#
# the public copy of the library header file
$(PUBHDR) : $(SRCHDR)
	cp $(<) $(@)
#
#clean  
.PHONY : clean
clean :
	rm $(OBJDIR)/*
	rm $(LIB)
	rm $(PUBHDR)
