/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  
	 created: Sat Nov 24 14:09:33 2007
	filename: Lexer.h
	  author: Lowell Thomas
	          lowell@coasttocoastresearch.com
	          http://www.coasttocoastresearch.com

	 purpose: Header file for parser Lexer.

*********************************************************************/
#ifndef Lexer_h
#define Lexer_h

//{{header.pre
//}}header.pre

// rule name IDs
#define RULE_LEXER_FILE 0
#define RULE_LEXER_LINE 1
#define RULE_LEXER_BLANK 2
#define RULE_LEXER_LINEERROR 3
#define RULE_LEXER_RULE 4
#define RULE_LEXER_NAMEDEF 5
#define RULE_LEXER_DEFALT 6
#define RULE_LEXER_DEF 7
#define RULE_LEXER_NAMEDEFERROR 8
#define RULE_LEXER_DEFERROR 9
#define RULE_LEXER_OPALT 10
#define RULE_LEXER_OPNOT 11
#define RULE_LEXER_OPAND 12
#define RULE_LEXER_OPRPAREN 13
#define RULE_LEXER_OPROPTION 14
#define RULE_LEXER_OPCAT 15
#define RULE_LEXER_OPLPAREN 16
#define RULE_LEXER_OPLOPTION 17
#define RULE_LEXER_OPREP 18
#define RULE_LEXER_OPNUMBER 19
#define RULE_LEXER_DRANGE 20
#define RULE_LEXER_DSTRING 21
#define RULE_LEXER_DCHAR 22
#define RULE_LEXER_XRANGE 23
#define RULE_LEXER_XSTRING 24
#define RULE_LEXER_XCHAR 25
#define RULE_LEXER_BRANGE 26
#define RULE_LEXER_BSTRING 27
#define RULE_LEXER_BCHAR 28
#define RULE_LEXER_NAME 29
#define RULE_LEXER_OPTLS 30
#define RULE_LEXER_PROSVAL 31
#define RULE_LEXER_TOKENERROR 32
#define RULE_LEXER_TOKEN 33
#define RULE_LEXER_OPDEC 34
#define RULE_LEXER_OPHEX 35
#define RULE_LEXER_OPBIN 36
#define RULE_LEXER_DMIN 37
#define RULE_LEXER_DMAX 38
#define RULE_LEXER_DNUM 39
#define RULE_LEXER_BMIN 40
#define RULE_LEXER_BMAX 41
#define RULE_LEXER_BNUM 42
#define RULE_LEXER_XMIN 43
#define RULE_LEXER_XMAX 44
#define RULE_LEXER_XNUM 45
#define RULE_LEXER_ALPHA 46
#define RULE_LEXER_WSP 47
#define RULE_LEXER_COMMENT 48
#define RULE_LEXER_LINECONTIN 49
#define RULE_LEXER_LINEEND 50
#define RULE_LEXER_BLANKLINEEND 51

extern void* vpLexerInit;

//{{header.post
//}}header.post

#endif // Lexer_h
