/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  
	 created: Sat Nov 24 14:49:07 2007
	filename: Currency.h
	  author: Lowell Thomas
	          lowell@coasttocoastresearch.com
	          http://www.coasttocoastresearch.com

	 purpose: Header file for parser class ApgCurrency.

*********************************************************************/
#ifndef ApgCurrency_h
#define ApgCurrency_h

//{{header.pre
//}}header.pre

class ApgCurrency
{
public:

//{{class.pre
//}}class.pre

  //RULE NAME IDs
  enum
  {
    ID_LIST=0,
    ID_AMOUNT=1,
    ID_DOLLARS=2,
    ID_CENTS=3,
    ID_DOLLARS_AND_CENTS=4,
    ID_LINEEND=5,
    ID_PERIOD=6,
    ID_DIGIT=7,
    ID_COUNT=8
  } RULENAMEIDS;

public:

  // CLASS FUNCTIONS
  ApgCurrency();
  ~ApgCurrency();
  ulong ulSyntaxAnalysis(ulong ulStartRule, uchar* ucpSrc, ulong ulSrcLen, void* vpData = NULL, ulong ulTrace = APG_FALSE);
  ulong ulSemanticAnalysis(void* vpData);

  // CALL BACK FUNCTIONS
  static ulong pfn_list(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
  static ulong pfn_amount(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
  static ulong pfn_dollars(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
  static ulong pfn_cents(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);
  static ulong pfn_dollars_and_cents(void* vpData, ulong ulState, ulong ulOffset, ulong ulLen);

private:
  static void* m_vpParserInit;
  APG_BSTR m_sSrc;

public:
  void* m_vpParserCtx;
  void* m_vpMemCtx;
  APG_PARSER_STATE m_sState;
  APG_PARSER_STATS m_sStats;

//{{class.post
  typedef struct 
  {
    uchar* ucpSrc;
    ulong  ulSrcLen;
  } SEMANTIC_DATA;
//}}class.post
};

//{{header.post
//}}header.post

#endif // ApgCurrency_h
