/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

    author: Lowell Thomas
            lowell@coasttocoastresearch.com
            http://www.coasttocoastresearch.com

   created: 8/26/2007 17:49
  filename: D:\Projects\Apgv5_0\Samples\IPv6\main.h
   purpose: Common header file for all modules.
  
*********************************************************************/
#ifndef main_h_6_13_2007
#define main_h_6_13_2007

#include <stdio.h>
#include "Apg.h"
#include "ApgUtilities.h"
#include "IPv6.h"
#include "IPv6Data.h"
#include "IPv6SyntaxOnly.h"
#include "IPv6SyntaxOnlyPPT.h"
#include "IPv6LookAhead.h"
#include "IPv6LookAheadPPT.h"

#define MAINASSERT(cond) if(!(int)(cond))vAlertHandler(0, __LINE__, __FILE__)
#define EXITASSERT(cond) if(!(int)(cond))goto APG_EXIT;

typedef struct
{
  // input
  void* vpMemCtx;
  void* vpErrorsCtx;
  void* vpMsgs;
  char* cpTitle;
  ulong ulRepetitions;
  void* vpInit;

  // output
  APG_PARSER_STATS sStats;
  double dAddressPerMsec;
  double dCharactersPerMsec;
} TESTDATA;

// Accuracy.c
void    vTestAccuracy(void* vpMemCtx, char* cpFileName);
void    vRunAccuracy(TESTDATA* spData);

// LookAhead.c
void    vTestLookAhead(void* vpMemCtx, char* cpFileName);

// Timing.c
void    vTestTiming(void* vpMemCtx, char* cpFileName);

// Simple.c
void vTestSimple(void* vpMemCtx, char* cpFileName);

// ReadAddresses.c
ulong   ulReadAddresses(APG_BSTR* spSrc, void* vpBstr);


#endif /* main_h_6_13_2007 */
