/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

    author: Lowell Thomas
            lowell@coasttocoastresearch.com
            http://www.coasttocoastresearch.com

   created: 8/30/2007 8:22
  filename: D:\Projects\Apgv5_0\Samples\MEGACO\main.h
   purpose: Common header for all component files.
  
*********************************************************************/
#ifndef main_h_6_24_2007
#define main_h_6_24_2007

#include "Apg.h"
#include "ApgUtilities.h"
#include "MEGACO.h"
#include "MEGACOPPT.h"
#include <time.h>

#ifdef _MEGACO_MAIN
// define memory and error contexts in main.c only
void* vpMemCtx = NULL;
#else
// refer to memory and error contexts elsewhere
extern void* vpMemCtx;
#endif

// some special ASCII character defines
#undef  HTAB
#undef  LF
#undef  CR
#undef  SP
#undef  PERIOD
#undef  SLASH
#undef  COLON
#undef  SEMI
#undef  BACKSLASH
#undef  BUFSIZE
#define HTAB      9
#define LF        10
#define CR        13
#define SP        32
#define PERIOD    46
#define SLASH     47
#define COLON     58
#define SEMI      59
#define BACKSLASH 92
#define BUFSIZE   4096

// specialize assertion macro for this application
#define MASSERT(cond) UASSERT((cond), vpMemCtx, 200)

// main.c
void  vPrintErrors(void* vpMemCtx);

// Messages.c
ulong ulMessages(char* cpFile, ulong ulLen, void* vpBstr);
ulong ulStatisticsTest(void* vpParserInit, void* vpMsgs, APG_PARSER_STATS* spStats);
ulong ulTimingTest(void* vpMsgs, ulong ulRepetitions);

// Timing.c
ulong ulTimingTest(void* vpMsgs, ulong ulRepetitions);

// Utilities.c
ulong ulPrintChildPhrases(void* vpCatalogCtx, ulong ulStartRule);
void vPrintableBuf(uchar* ucpBuf, ulong ulLen);

#endif /* main_h_6_24_2007 */
