# common make file for the APG library
#
.SUFFIXES:
.SUFFIXES: .c .cpp .o
#
SHELL  = /bin/sh
SRCDIR = .
PUBDIR = ../../public
OBJDIR = $(SRCDIR)/$(OBJNAME)
DEPEND = $(SRCDIR)/main.h $(PUBDIR)/*.a
CFLAGS = -I$(PUBDIR)
LFLAGS = -L$(PUBDIR)
EXE    = $(EXENAME)
OBJS   = $(OBJDIR)/main.o \
         $(OBJDIR)/Accuracy.o \
         $(OBJDIR)/Components.o \
         $(OBJDIR)/Connection.o \
         $(OBJDIR)/Announcements.o \
         $(OBJDIR)/Media.o \
         $(OBJDIR)/Origin.o \
         $(OBJDIR)/SDP.o \
         $(OBJDIR)/SDPPPT.o \
         $(OBJDIR)/SDPURI.o \
         $(OBJDIR)/SDPLines.o \
         $(OBJDIR)/Session.o \
         $(OBJDIR)/Statistics.o \
         $(OBJDIR)/Timing.o \
         $(OBJDIR)/Uri.o
#
# build all
all : $(OBJDIR) $(OBJS) $(EXENAME)
#
# create the directories, if neccessary
$(OBJDIR) :
	mkdir $(OBJDIR)
	chmod 755 $(OBJDIR)
#
$(EXE) : $(OBJS)
	$(CC) -o $(EXE) $(OBJS) $(LFLAGS) -l$(LIBNAME) -l$(UTILNAME)
#
# implicit rules
$(OBJDIR)/%.o: $(SRCDIR)/%.c $(DEPEND)
	$(CC) -c $(CFLAGS) $(<) -o $(@)
#
#clean  
.PHONY : clean
clean :
	rm $(OBJDIR)/*
	rm $(EXE)
