/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  
	 created: Sat Nov 24 14:47:26 2007
	filename: SDPPPT.h
	  author: Lowell Thomas
	          lowell@coasttocoastresearch.com
	          http://www.coasttocoastresearch.com

	 purpose: Header file for parser SDPPPT.

*********************************************************************/
#ifndef SDPPPT_h
#define SDPPPT_h

//{{header.pre
//}}header.pre

// rule name IDs
#define RULE_SDPPPT_ANNOUNCEMENT 0
#define RULE_SDPPPT_SESSION_SECTION 1
#define RULE_SDPPPT_PROTO_VERSION 2
#define RULE_SDPPPT_ORIGIN_FIELD 3
#define RULE_SDPPPT_SESSION_NAME_FIELD 4
#define RULE_SDPPPT_INFORMATION_FIELD 5
#define RULE_SDPPPT_URI_FIELD 6
#define RULE_SDPPPT_EMAIL_FIELD 7
#define RULE_SDPPPT_PHONE_FIELD 8
#define RULE_SDPPPT_CONNECTION_FIELD 9
#define RULE_SDPPPT_BANDWIDTH_FIELD 10
#define RULE_SDPPPT_TIME_FIELDS 11
#define RULE_SDPPPT_REPEAT_FIELDS 12
#define RULE_SDPPPT_ZONE_ADJUSTMENTS 13
#define RULE_SDPPPT_KEY_FIELD 14
#define RULE_SDPPPT_ATTRIBUTE_FIELD 15
#define RULE_SDPPPT_MEDIA_SECTION 16
#define RULE_SDPPPT_MEDIA_FIELD 17
#define RULE_SDPPPT_MEDIA 18
#define RULE_SDPPPT_FMT 19
#define RULE_SDPPPT_PROTO 20
#define RULE_SDPPPT_MEDIAPORT 21
#define RULE_SDPPPT_PORTCOUNT 22
#define RULE_SDPPPT_USERNAME 23
#define RULE_SDPPPT_SESS_ID 24
#define RULE_SDPPPT_SESS_VERSION 25
#define RULE_SDPPPT_NETTYPE 26
#define RULE_SDPPPT_ADDRTYPE 27
#define RULE_SDPPPT_EMAIL_ADDRESS 28
#define RULE_SDPPPT_ADDRESS_AND_COMMENT 29
#define RULE_SDPPPT_DISPNAME_AND_ADDRESS 30
#define RULE_SDPPPT_PHONE_NUMBER 31
#define RULE_SDPPPT_PHONE 32
#define RULE_SDPPPT_BWTYPE 33
#define RULE_SDPPPT_BANDWIDTH 34
#define RULE_SDPPPT_START_TIME 35
#define RULE_SDPPPT_STOP_TIME 36
#define RULE_SDPPPT_TIME 37
#define RULE_SDPPPT_REPEAT_INTERVAL 38
#define RULE_SDPPPT_TYPED_TIME 39
#define RULE_SDPPPT_KEY_TYPE 40
#define RULE_SDPPPT_BASE64 41
#define RULE_SDPPPT_BASE64_UNIT 42
#define RULE_SDPPPT_BASE64_PAD 43
#define RULE_SDPPPT_BASE64_CHAR 44
#define RULE_SDPPPT_ATTRIBUTE 45
#define RULE_SDPPPT_ATT_FIELD 46
#define RULE_SDPPPT_ATT_VALUE 47
#define RULE_SDPPPT_CONNECTION_TYPE 48
#define RULE_SDPPPT_ANY_CONNECTION 49
#define RULE_SDPPPT_FQDN 50
#define RULE_SDPPPT_EXTN_ADDR 51
#define RULE_SDPPPT_IPV4CONNECTION 52
#define RULE_SDPPPT_IPV4TYPE 53
#define RULE_SDPPPT_IPV4MULTICON 54
#define RULE_SDPPPT_TTL 55
#define RULE_SDPPPT_ADDRESSCOUNT 56
#define RULE_SDPPPT_IPV6CONNECTION 57
#define RULE_SDPPPT_IPV6TYPE 58
#define RULE_SDPPPT_IPV6MULTCON 59
#define RULE_SDPPPT_TEXT 60
#define RULE_SDPPPT_BYTE_STRING 61
#define RULE_SDPPPT_NON_WS_STRING 62
#define RULE_SDPPPT_TOKEN_CHAR 63
#define RULE_SDPPPT_TOKEN 64
#define RULE_SDPPPT_EMAIL_SAFE 65
#define RULE_SDPPPT_URI_REFERENCE 66
#define RULE_SDPPPT_DEC_OCTET 67
#define RULE_SDPPPT_IPV4MULTICAST 68
#define RULE_SDPPPT_IPV4UNICAST 69
#define RULE_SDPPPT_INT224 70
#define RULE_SDPPPT_IPV6MULTICAST 71
#define RULE_SDPPPT_IPV6UNICAST 72
#define RULE_SDPPPT_ADDR_SPEC 73
#define RULE_SDPPPT_LOCAL_PART 74
#define RULE_SDPPPT_DOMAIN 75
#define RULE_SDPPPT_DOMAIN_LITERAL 76
#define RULE_SDPPPT_DCONTENT 77
#define RULE_SDPPPT_DTEXT 78
#define RULE_SDPPPT_ATEXT 79
#define RULE_SDPPPT_ATOM 80
#define RULE_SDPPPT_DOT_ATOM 81
#define RULE_SDPPPT_DOT_ATOM_TEXT 82
#define RULE_SDPPPT_QTEXT 83
#define RULE_SDPPPT_QCONTENT 84
#define RULE_SDPPPT_QUOTED_STRING 85
#define RULE_SDPPPT_QUOTED_PAIR 86
#define RULE_SDPPPT_OBS_QP 87
#define RULE_SDPPPT_OBS_LOCAL_PART 88
#define RULE_SDPPPT_OBS_DOMAIN 89
#define RULE_SDPPPT_WORD 90
#define RULE_SDPPPT_FWS 91
#define RULE_SDPPPT_CTEXT 92
#define RULE_SDPPPT_CCONTENT 93
#define RULE_SDPPPT_COMMENT 94
#define RULE_SDPPPT_CFWS 95
#define RULE_SDPPPT_OBS_FWS 96
#define RULE_SDPPPT_SP 97
#define RULE_SDPPPT_DQUOTE 98
#define RULE_SDPPPT_CRLF 99
#define RULE_SDPPPT_DIGIT 100
#define RULE_SDPPPT_WSP 101
#define RULE_SDPPPT_POS_DIGIT 102

extern void* vpSDPPPTInit;

//{{header.post
//}}header.post

#endif // SDPPPT_h
