/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

    author: Lowell Thomas
            lowell@coasttocoastresearch.com
            http://www.coasttocoastresearch.com

   created: 8/27/2007 10:12
  filename: D:\Projects\Apgv5_0\Samples\SDP\main.h
   purpose: Common declarations for the SDP sample application.
  
*********************************************************************/
#ifndef main_h_6_21_2007
#define main_h_6_21_2007

#include <time.h>
#include "Apg.h"
#include "ApgUtilities.h"
#include "SDPLines.h"
#include "SDP.h"
#include "SDPPPT.h"
#include "SDPURI.h"

#define BUFSIZE 1024
#define SDPASSERT(cond) if(!(int)(cond))vAlertHandler(0, __LINE__, __FILE__)
typedef ulong (*PFN_TEST)(APG_BSTR* spSrc, void* vpMemCtx, void* vpParserCtx);

ulong ulReadAnnouncements(APG_BSTR* spSrc, void* vpBstr);
void  vTestComponents(void* vpMemCtx, char* cpInput, PFN_TEST pfnTest);
void  vTestTiming(void* vpMemCtx, char* cpInput, ulong ulRepetitions);
void  vTestStatistics(void* vpMemCtx, char* cpInput);

// tests
ulong ulAccuracyTest(APG_BSTR* spSrc, void* vpMemCtx, void* vpParserCtx);
ulong ulSessionTest(APG_BSTR* spSrc, void* vpMemCtx, void* vpParserCtx);
ulong ulOriginTest(APG_BSTR* spSrc, void* vpMemCtx, void* vpParserCtx);
ulong ulMediaTest(APG_BSTR* spSrc, void* vpMemCtx, void* vpParserCtx);
ulong ulConnectionTest(APG_BSTR* spSrc, void* vpMemCtx, void* vpParserCtx);
ulong ulUriTest(APG_BSTR* spSrc, void* vpMemCtx, void* vpParserCtx);


#endif /* main_h_6_21_2007 */
