/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  
	 created: Sat Nov 24 14:46:59 2007
	filename: SIP.h
	  author: Lowell Thomas
	          lowell@coasttocoastresearch.com
	          http://www.coasttocoastresearch.com

	 purpose: Header file for parser SIP.

*********************************************************************/
#ifndef SIP_h
#define SIP_h

//{{header.pre
//}}header.pre

// rule name IDs
#define RULE_SIP_SIP_MESSAGE 0
#define RULE_SIP_REQUEST 1
#define RULE_SIP_REQUEST_LINE 2
#define RULE_SIP_SIP_VERSION 3
#define RULE_SIP_INVITEM 4
#define RULE_SIP_ACKM 5
#define RULE_SIP_OPTIONSM 6
#define RULE_SIP_BYEM 7
#define RULE_SIP_CANCELM 8
#define RULE_SIP_REGISTERM 9
#define RULE_SIP_METHOD 10
#define RULE_SIP_EXTENSION_METHOD 11
#define RULE_SIP_RESPONSE 12
#define RULE_SIP_STATUS_LINE 13
#define RULE_SIP_STATUS_CODE 14
#define RULE_SIP_REASON_PHRASE 15
#define RULE_SIP_SIP_URI 16
#define RULE_SIP_SIPS_URI 17
#define RULE_SIP_USERINFO 18
#define RULE_SIP_USER 19
#define RULE_SIP_USER_UNRESERVED 20
#define RULE_SIP_PASSWORD 21
#define RULE_SIP_HOSTPORT 22
#define RULE_SIP_HOST 23
#define RULE_SIP_HOSTNAME 24
#define RULE_SIP_DOMAINLABEL 25
#define RULE_SIP_TOPLABEL 26
#define RULE_SIP_PORT 27
#define RULE_SIP_URI_PARAMETERS 28
#define RULE_SIP_URI_PARAMETER 29
#define RULE_SIP_TRANSPORT_PARAM 30
#define RULE_SIP_OTHER_TRANSPORT 31
#define RULE_SIP_USER_PARAM 32
#define RULE_SIP_OTHER_USER 33
#define RULE_SIP_METHOD_PARAM 34
#define RULE_SIP_TTL_PARAM 35
#define RULE_SIP_MADDR_PARAM 36
#define RULE_SIP_LR_PARAM 37
#define RULE_SIP_OTHER_PARAM 38
#define RULE_SIP_PNAME 39
#define RULE_SIP_PVALUE 40
#define RULE_SIP_PARAMCHAR 41
#define RULE_SIP_PARAM_UNRESERVED 42
#define RULE_SIP_HEADERS 43
#define RULE_SIP_HEADER 44
#define RULE_SIP_HNAME 45
#define RULE_SIP_HVALUE 46
#define RULE_SIP_HNV_UNRESERVED 47
#define RULE_SIP_REQUEST_URI 48
#define RULE_SIP_ABSOLUTEURI 49
#define RULE_SIP_HIER_PART 50
#define RULE_SIP_NET_PATH 51
#define RULE_SIP_ABS_PATH 52
#define RULE_SIP_OPAQUE_PART 53
#define RULE_SIP_URIC 54
#define RULE_SIP_URIC_NO_SLASH 55
#define RULE_SIP_PATH_SEGMENTS 56
#define RULE_SIP_SEGMENT 57
#define RULE_SIP_PARAM 58
#define RULE_SIP_PCHAR 59
#define RULE_SIP_SCHEME 60
#define RULE_SIP_AUTHORITY 61
#define RULE_SIP_SRVR 62
#define RULE_SIP_REG_NAME 63
#define RULE_SIP_QUERY 64
#define RULE_SIP_IPV4ADDRESS 65
#define RULE_SIP_IPV6REFERENCE 66
#define RULE_SIP_IPV6ADDRESS 67
#define RULE_SIP_MESSAGE_HEADER 68
#define RULE_SIP_ACCEPT 69
#define RULE_SIP_ACCEPT_RANGE 70
#define RULE_SIP_MEDIA_RANGE 71
#define RULE_SIP_ACCEPT_PARAM 72
#define RULE_SIP_QVALUE 73
#define RULE_SIP_GENERIC_PARAM 74
#define RULE_SIP_GEN_VALUE 75
#define RULE_SIP_ACCEPT_ENCODING 76
#define RULE_SIP_ENCODING 77
#define RULE_SIP_CODINGS 78
#define RULE_SIP_CONTENT_CODING 79
#define RULE_SIP_ACCEPT_LANGUAGE 80
#define RULE_SIP_LANGUAGE 81
#define RULE_SIP_LANGUAGE_RANGE 82
#define RULE_SIP_ALERT_INFO 83
#define RULE_SIP_ALERT_PARAM 84
#define RULE_SIP_ALLOW 85
#define RULE_SIP_AUTHORIZATION 86
#define RULE_SIP_CREDENTIALS 87
#define RULE_SIP_DIGEST_RESPONSE 88
#define RULE_SIP_DIG_RESP 89
#define RULE_SIP_USERNAME 90
#define RULE_SIP_USERNAME_VALUE 91
#define RULE_SIP_DIGEST_URI 92
#define RULE_SIP_DIGEST_URI_VALUE 93
#define RULE_SIP_MESSAGE_QOP 94
#define RULE_SIP_CNONCE 95
#define RULE_SIP_CNONCE_VALUE 96
#define RULE_SIP_NONCE_COUNT 97
#define RULE_SIP_NC_VALUE 98
#define RULE_SIP_DRESPONSE 99
#define RULE_SIP_REQUEST_DIGEST 100
#define RULE_SIP_AUTH_PARAM 101
#define RULE_SIP_AUTH_PARAM_NAME 102
#define RULE_SIP_OTHER_RESPONSE 103
#define RULE_SIP_AUTH_SCHEME 104
#define RULE_SIP_AUTHENTICATION_INFO 105
#define RULE_SIP_AINFO 106
#define RULE_SIP_NEXTNONCE 107
#define RULE_SIP_RESPONSE_AUTH 108
#define RULE_SIP_RESPONSE_DIGEST 109
#define RULE_SIP_CALL_ID 110
#define RULE_SIP_CALLID 111
#define RULE_SIP_CALL_INFO 112
#define RULE_SIP_INFO 113
#define RULE_SIP_INFO_PARAM 114
#define RULE_SIP_CONTACT 115
#define RULE_SIP_CONTACT_PARAM 116
#define RULE_SIP_NAME_ADDR 117
#define RULE_SIP_ADDR_SPEC 118
#define RULE_SIP_DISPLAY_NAME 119
#define RULE_SIP_D_NAME 120
#define RULE_SIP_CONTACT_PARAMS 121
#define RULE_SIP_C_P_Q 122
#define RULE_SIP_C_P_EXPIRES 123
#define RULE_SIP_CONTACT_EXTENSION 124
#define RULE_SIP_DELTA_SECONDS 125
#define RULE_SIP_CONTENT_DISPOSITION 126
#define RULE_SIP_DISP_TYPE 127
#define RULE_SIP_DISP_PARAM 128
#define RULE_SIP_HANDLING_PARAM 129
#define RULE_SIP_OTHER_HANDLING 130
#define RULE_SIP_DISP_EXTENSION_TOKEN 131
#define RULE_SIP_CONTENT_ENCODING 132
#define RULE_SIP_CONTENT_LANGUAGE 133
#define RULE_SIP_LANGUAGE_TAG 134
#define RULE_SIP_PRIMARY_TAG 135
#define RULE_SIP_SUBTAG 136
#define RULE_SIP_CONTENT_LENGTH 137
#define RULE_SIP_CONTENT_TYPE 138
#define RULE_SIP_MEDIA_TYPE 139
#define RULE_SIP_M_TYPE 140
#define RULE_SIP_DISCRETE_TYPE 141
#define RULE_SIP_COMPOSITE_TYPE 142
#define RULE_SIP_EXTENSION_TOKEN 143
#define RULE_SIP_IETF_TOKEN 144
#define RULE_SIP_X_TOKEN 145
#define RULE_SIP_M_SUBTYPE 146
#define RULE_SIP_IANA_TOKEN 147
#define RULE_SIP_M_PARAMETER 148
#define RULE_SIP_M_ATTRIBUTE 149
#define RULE_SIP_M_VALUE 150
#define RULE_SIP_CSEQ 151
#define RULE_SIP_DATE 152
#define RULE_SIP_SIP_DATE 153
#define RULE_SIP_RFC1123_DATE 154
#define RULE_SIP_DATE1 155
#define RULE_SIP_TIME 156
#define RULE_SIP_WKDAY 157
#define RULE_SIP_MONTH 158
#define RULE_SIP_ERROR_INFO 159
#define RULE_SIP_ERROR_URI 160
#define RULE_SIP_EXPIRES 161
#define RULE_SIP_FROM 162
#define RULE_SIP_FROM_SPEC 163
#define RULE_SIP_FROM_PARAM 164
#define RULE_SIP_TAG_PARAM 165
#define RULE_SIP_IN_REPLY_TO 166
#define RULE_SIP_MAX_FORWARDS 167
#define RULE_SIP_MIME_VERSION 168
#define RULE_SIP_MIN_EXPIRES 169
#define RULE_SIP_ORGANIZATION 170
#define RULE_SIP_PRIORITY 171
#define RULE_SIP_PRIORITY_VALUE 172
#define RULE_SIP_OTHER_PRIORITY 173
#define RULE_SIP_PROXY_AUTHENTICATE 174
#define RULE_SIP_CHALLENGE 175
#define RULE_SIP_OTHER_CHALLENGE 176
#define RULE_SIP_DIGEST_CLN 177
#define RULE_SIP_REALM 178
#define RULE_SIP_REALM_VALUE 179
#define RULE_SIP_DOMAIN 180
#define RULE_SIP_URI 181
#define RULE_SIP_NONCE 182
#define RULE_SIP_NONCE_VALUE 183
#define RULE_SIP_OPAQUE 184
#define RULE_SIP_STALE 185
#define RULE_SIP_ALGORITHM 186
#define RULE_SIP_QOP_OPTIONS 187
#define RULE_SIP_QOP_VALUE 188
#define RULE_SIP_PROXY_AUTHORIZATION 189
#define RULE_SIP_PROXY_REQUIRE 190
#define RULE_SIP_OPTION_TAG 191
#define RULE_SIP_RECORD_ROUTE 192
#define RULE_SIP_REC_ROUTE 193
#define RULE_SIP_RR_PARAM 194
#define RULE_SIP_REPLY_TO 195
#define RULE_SIP_RPLYTO_SPEC 196
#define RULE_SIP_RPLYTO_PARAM 197
#define RULE_SIP_REQUIRE 198
#define RULE_SIP_RETRY_AFTER 199
#define RULE_SIP_RETRY_PARAM 200
#define RULE_SIP_ROUTE 201
#define RULE_SIP_ROUTE_PARAM 202
#define RULE_SIP_SERVER 203
#define RULE_SIP_SERVER_VAL 204
#define RULE_SIP_PRODUCT 205
#define RULE_SIP_PRODUCT_VERSION 206
#define RULE_SIP_SUBJECT 207
#define RULE_SIP_SUPPORTED 208
#define RULE_SIP_TIMESTAMP 209
#define RULE_SIP_DELAY 210
#define RULE_SIP_TO 211
#define RULE_SIP_TO_PARAM 212
#define RULE_SIP_UNSUPPORTED 213
#define RULE_SIP_USER_AGENT 214
#define RULE_SIP_VIA 215
#define RULE_SIP_VIA_PARM 216
#define RULE_SIP_VIA_PARAMS 217
#define RULE_SIP_VIA_TTL 218
#define RULE_SIP_VIA_MADDR 219
#define RULE_SIP_VIA_RECEIVED 220
#define RULE_SIP_VIA_BRANCH 221
#define RULE_SIP_VIA_EXTENSION 222
#define RULE_SIP_SENT_PROTOCOL 223
#define RULE_SIP_PROTOCOL_NAME 224
#define RULE_SIP_PROTOCOL_VERSION 225
#define RULE_SIP_TRANSPORT 226
#define RULE_SIP_SENT_BY 227
#define RULE_SIP_TTL 228
#define RULE_SIP_WARNING 229
#define RULE_SIP_WARNING_VALUE 230
#define RULE_SIP_WARN_CODE 231
#define RULE_SIP_WARN_AGENT 232
#define RULE_SIP_WARN_TEXT 233
#define RULE_SIP_PSEUDONYM 234
#define RULE_SIP_WWW_AUTHENTICATE 235
#define RULE_SIP_EXTENSION_HEADER 236
#define RULE_SIP_HEADER_NAME 237
#define RULE_SIP_HEADER_VALUE 238
#define RULE_SIP_TELEPHONE_SUBSCRIBER 239
#define RULE_SIP_GLOBAL_PHONE_NUMBER 240
#define RULE_SIP_BASE_PHONE_NUMBER 241
#define RULE_SIP_LOCAL_PHONE_NUMBER 242
#define RULE_SIP_ISDN_SUBADDRESS 243
#define RULE_SIP_POST_DIAL 244
#define RULE_SIP_AREA_SPECIFIER 245
#define RULE_SIP_PHONE_CONTEXT_TAG 246
#define RULE_SIP_PHONE_CONTEXT_IDENT 247
#define RULE_SIP_NETWORK_PREFIX 248
#define RULE_SIP_GLOBAL_NETWORK_PREFIX 249
#define RULE_SIP_LOCAL_NETWORK_PREFIX 250
#define RULE_SIP_PRIVATE_PREFIX 251
#define RULE_SIP_SERVICE_PROVIDER 252
#define RULE_SIP_PROVIDER_TAG 253
#define RULE_SIP_PROVIDER_HOSTNAME 254
#define RULE_SIP_FUTURE_EXTENSION 255
#define RULE_SIP_TOKEN_CHAR 256
#define RULE_SIP_TEL_QUOTED_STRING 257
#define RULE_SIP_PHONEDIGIT 258
#define RULE_SIP_VISUAL_SEPARATOR 259
#define RULE_SIP_PAUSE_CHARACTER 260
#define RULE_SIP_ONE_SECOND_PAUSE 261
#define RULE_SIP_WAIT_FOR_DIAL_TONE 262
#define RULE_SIP_DTMF_DIGIT 263
#define RULE_SIP_RFC1035DOMAIN 264
#define RULE_SIP_RFC1035SUBDOMAIN 265
#define RULE_SIP_RFC1035LABEL 266
#define RULE_SIP_ALPHANUM 267
#define RULE_SIP_RESERVED 268
#define RULE_SIP_UNRESERVED 269
#define RULE_SIP_MARK 270
#define RULE_SIP_ESCAPED 271
#define RULE_SIP_TEXT_UTF8_TRIM 272
#define RULE_SIP_TEXT_UTF8CHAR 273
#define RULE_SIP_UTF8_NONASCII 274
#define RULE_SIP_UTF8_CONT 275
#define RULE_SIP_TOKEN 276
#define RULE_SIP_WORD 277
#define RULE_SIP_HCOLON 278
#define RULE_SIP_LHEX 279
#define RULE_SIP_STAR 280
#define RULE_SIP_SLASH 281
#define RULE_SIP_EQUAL 282
#define RULE_SIP_LPAREN 283
#define RULE_SIP_RPAREN 284
#define RULE_SIP_RAQUOT 285
#define RULE_SIP_LAQUOT 286
#define RULE_SIP_COMMA 287
#define RULE_SIP_SEMI 288
#define RULE_SIP_COLON 289
#define RULE_SIP_LDQUOT 290
#define RULE_SIP_RDQUOT 291
#define RULE_SIP_COMMENT 292
#define RULE_SIP_CTEXT 293
#define RULE_SIP_QUOTED_STRING 294
#define RULE_SIP_Q_STRING 295
#define RULE_SIP_QDTEXT 296
#define RULE_SIP_QUOTED_PAIR 297
#define RULE_SIP_LWS 298
#define RULE_SIP_SWS 299
#define RULE_SIP_WSP 300
#define RULE_SIP_ALPHA 301
#define RULE_SIP_CHAR 302
#define RULE_SIP_CR 303
#define RULE_SIP_CRLF 304
#define RULE_SIP_DIGIT 305
#define RULE_SIP_DQUOTE 306
#define RULE_SIP_HEXDIG 307
#define RULE_SIP_LF 308
#define RULE_SIP_SP 309

extern void* vpSIPInit;

//{{header.post
//}}header.post

#endif // SIP_h
