/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

    author: Lowell Thomas
            lowell@coasttocoastresearch.com
            http://www.coasttocoastresearch.com

   created: 8/27/2007 9:02
  filename: D:\Projects\Apgv5_0\Samples\URI\main.c
  purpose: Reads a list of URIs, one to a line.
                Translates each URI into normal form.
  
*********************************************************************/
#include "main.h"

//////////////////////////////////////////////////////////////////////////
// DESCRIPTION: The driver (main) program.
//
// FUNCTION: int main
//
//      ARG: 1) int argc
//              : number of command line arguments
//
//      ARG: 2) char** argv
//              : pointer to a list of pointers to the command line arguments
//
//   RETURN: 0
//
//////////////////////////////////////////////////////////////////////////
int main(int argc, char** argv)
{
  void* vpMemCtx;
  char* cpFileName = "Addresses.txt";

  // set the custom alert handler
  pfnSetAlertHandler(vTerminalAlert);
  
  // GPL copyright notice
  vLicenseNotice();
  // redirect output
  {
    FILE* spRedirectOut;
    printf("%s - output redirect file\n", "main.log");
    spRedirectOut = freopen("main.log", "w", stdout);
    MAINASSERT(spRedirectOut);

    // GPL copyright notice
    vLicenseNotice();
  }

  // get memory and error context handles
  vpMemCtx = vpMemCtor();
  MAINASSERT(vpMemCtx);

  //////////////////////////////////////////////////////////////////////////
  // VERIFY THAT ADDRESSES ARE ACCURATELY TRANSLATED
  //////////////////////////////////////////////////////////////////////////
  vTestAccuracy(vpMemCtx, "Addresses.txt");

  // take a look at memory usage
  vPrintMemStats(vpMemCtx);

  // clean up all memory resources
  vMemDtor(vpMemCtx);
  return 0;
}
