/*! \file LSRotate.cpp
 <pre>
 <b>File:</b> LSRotate.cpp
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 04/13/2008
 <b>Contents:</b> Rotate skill
 </pre>
 */

#include "LSRotate.h"

int LSRotate::skillType() {
    
    return SKILL_LS_ROTATE;
}

LSRotate::LSRotate(WorldModel * _world, PlayerModel * _player, float _angle, float _speed, float _precision):LowSkill(_world, _player) {
    
    angle = _angle;
    speed = _speed;
    precision = _precision;
    gyro = 0;
}

int LSRotate::calculate(Skill ** lowerSkill) {
    
    double time = world->simTime - startTime;
    double timeout = 10;
    
    /* TODO: zistit natocenie agenta */
    /* TODO: podla toho sa vypocita uhol */
    
    /* tazisko na lavu nohu */
    if (time < 1.5) {
        player->ankleL->moveTo(0, 0, 8, 100, false, APPROXIMATING, timeout);
        player->hipL->moveTo(0, 0, -8, 100, false, APPROXIMATING, timeout);
        player->ankleR->moveTo(0, 0, 8, 100, false, APPROXIMATING, timeout);
        player->hipR->moveTo(0, 0, -8, 100, false, APPROXIMATING, timeout);
        player->shoulderL->moveTo(0, 0, 90, 600, false, APPROXIMATING, timeout);
        player->shoulderR->moveTo(0, 0, -90, 600, false, APPROXIMATING, timeout);
    }
    
    /* prisunutie nohy k telu */
    else if (time < 2) {
        
        //player->reset();
        player->hipL->moveTo(0, 0, 19, 200, false, APPROXIMATING, timeout);
        player->ankleL->moveTo(0, 0, 0, 200, false, APPROXIMATING, timeout);
        player->hipR->moveTo(0, 0, 20, 100, false, APPROXIMATING, timeout);
        player->ankleR->moveTo(0, 0, 0, 200, false, APPROXIMATING, timeout);
    }
    
    /* otocenie na lavej nohe */
    else if (time < 3.5) {
        
        //player->reset();
        player->hipR->moveTo(0, 0, 0, 100, false, APPROXIMATING, timeout);
        player->legL->moveTo(85, 50, false, APPROXIMATING, timeout);
        player->ankleL->moveTo(0, 0, -15, 35, false, APPROXIMATING, timeout);
        player->ankleR->moveTo(0, 0, -9, 20, false, APPROXIMATING, timeout);
    }
    
    /* prevazenie na pravu nohu */
    else if (time < 4.5) {
        
        //player->reset();
        player->hipR->moveTo(0, 20, 0, 50, false, APPROXIMATING, timeout);
        player->legL->moveTo(0, 100, false, APPROXIMATING, timeout);
        player->ankleL->moveTo(0, 0, 10, 20, false, APPROXIMATING, timeout);
        player->ankleR->moveTo(0, 50, 0, 5, false, APPROXIMATING, timeout);
        player->hipL->moveTo(0, 200, -5, 50, false, APPROXIMATING, timeout);
    }
    
    else if (time < 8) {
        
        //player->reset();
        player->kneeL->moveTo(0, 50, false, APPROXIMATING, timeout);
        player->hipR->moveTo(0, 50, 0, 50, false, APPROXIMATING, timeout);
        player->hipL->moveTo(0, 10, 0, 50, false, APPROXIMATING, timeout);
        player->ankleL->moveTo(0, 10, -2, 50, false, APPROXIMATING, timeout);
        player->ankleR->moveTo(0, 10, 2, 50, false, APPROXIMATING, timeout);
        player->shoulderL->moveTo(0, 0, 180, 200, false, APPROXIMATING, timeout);
        player->shoulderR->moveTo(0, 0, -180, 200, false, APPROXIMATING, timeout);
    }
    
    else if (time < 9) {
        
        //player->reset();
        if (!gyro) {
            double abs = fabs(player->gyroscope->relative.x);
            int side = player->gyroscope->relative.x > 0 ? -1 : 1;
            cout << "gyro.rel: " << player->gyroscope->relative << endl;
            if (abs > 0.02) {
                player->hipR->moveTo(20 * side, abs * 100, 0, 10, false, APPROXIMATING, timeout);
                player->hipL->moveTo(20 * side, abs * 100, 0, 10, false, APPROXIMATING, timeout);
                gyro = 1;
            }
        }
        player->shoulderL->moveTo(0, 0, 0, 200, false, APPROXIMATING, timeout);
        player->shoulderR->moveTo(0, 0, 0, 200, false, APPROXIMATING, timeout);
    }
    
    else {
        
        //player->reset();
        player->hipR->moveTo(0, 10, 0, 10, false, APPROXIMATING, timeout);
        player->hipL->moveTo(0, 10, 0, 10, false, APPROXIMATING, timeout);
        player->ankleL->moveTo(0, 10, 0, 50, false, APPROXIMATING, timeout);
        player->ankleR->moveTo(0, 10, 0, 50, false, APPROXIMATING, timeout);
        player->legL->moveTo(0, 100, false, APPROXIMATING, timeout);
        player->legR->moveTo(0, 100, false, APPROXIMATING, timeout);
        
        //player->reset();
        return 0;
    }
    return 1;
}
