/*! \file LSStand.cpp
 <pre>
 <b>File:</b> LSStand.cpp
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 04/13/2008
 <b>Contents:</b> Default standing position. All joints are reseted to zero angles.
 </pre>
 */ 

#include "LSStand.h"

LSStand::LSStand(WorldModel * _world, PlayerModel * _player, double _speedRatio):LowSkill(_world, _player) {
    
    speedRatio = _speedRatio;
}

int LSStand::skillType() {
    
    return SKILL_LS_STAND;
}

int LSStand::calculate(Skill ** lowerSkill) {
    
    double timeout = 10.0;
    
	SKILL_BEGIN(0)
    
	SKILL_BEGIN_PHASE(1)
        SKILL_CALCULATE(   ankleL->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(   ankleR->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(	kneeL->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(	kneeR->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(	 legL->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(	 legR->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(	 hipL->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(	 hipR->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(	 armL->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(	 armR->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(shoulderL->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(shoulderR->moveTo(0.0, 1.0 * speedRatio, 0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(   elbowL->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
        SKILL_CALCULATE(   elbowR->moveTo(0.0, 1.0 * speedRatio, false, APPROXIMATING, timeout))
	SKILL_END_PHASE
	
	SKILL_END(2)	
}
