/*! \file LSStand.h
 <pre>
 <b>File:</b> LSStand.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 04/13/2008
 <b>Contents:</b> Default standing position. All joints are reseted to zero angles.
 </pre>
 */ 

#ifndef __LSSTAND_H__
#define __LSSTAND_H__

#include "Skills.h"
#include "PlayerModel.h"
#include "WorldModel.h"

class LSStand: public LowSkill {

private:

	double speedRatio;

public:

	LSStand(WorldModel * _world, PlayerModel * _player, double _speedRatio);
	int calculate(Skill **lowerSkill);
	int skillType();
};

#endif /*__LSSTAND_H__*/
