/*! \file MSStandUpTest.cpp
 <pre>
 <b>File:</b> MSStandUpTest.cpp
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 03/10/2008
 <b>Contents:</b>
 </pre>
 */

#include "MSStandUpTest.h"
#include "LSFallForward.h"
#include "LSStandUp.h"
#include "LSStand.h"

MSStandUpTest::MSStandUpTest(WorldModel * _world, PlayerModel * _player):MiddleSkill(_world, _player) {
    
    lastLS = SKILL_LS_STAND;
}

int MSStandUpTest::skillType() {
    
    return SKILL_MS_STANDUPTEST;
}

int MSStandUpTest::calculate(Skill ** lowerSkill) {
    
    if (lowerSkill != NULL && *lowerSkill != NULL)
        return 1;
    
    if (lastLS == SKILL_LS_STAND) {
        
        *lowerSkill = new LSFallForward(world, player, 5.0, 0.0, 0.0);
        
    } else if (lastLS == SKILL_LS_FALLFORWARD) {
        
        *lowerSkill = new LSStandUp(world, player);
        
    } else if (lastLS == SKILL_LS_STANDUP) {
        
        *lowerSkill = new LSStand(world, player, 3.0);
    }
    
    lastLS = (*lowerSkill)->skillType();
    return 1;
}
