/*! \file Skills.cpp
 <pre>
 <b>File:</b> Skills.cpp
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 03/10/2008
 <b>Contents:</b>
 </pre>
 */

#include "Skills.h"
#include "PlayerModel.h"

Skill::Skill(WorldModel * _world, PlayerModel * _player) {
    
    world = _world;
    player = _player;
    startTime = world->simTime;
    phase = 0;
    lastPhaseEndTime = -1.0;
}

Skill::~Skill() {
}

LowSkill::LowSkill(WorldModel * _world, PlayerModel * _player):Skill(_world, _player) {
}

MiddleSkill::MiddleSkill(WorldModel * _world, PlayerModel * _player):Skill(_world, _player) {
}

HighSkill::HighSkill(WorldModel * _world, PlayerModel * _player):Skill(_world, _player) {
}
