/*! \file Socket.h
 <pre>
 <b>File:</b> Socket.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 03/10/2008
 <b>Contents:</b> <TEXT>
 </pre>
 */

#ifndef __SOCKET_H__
#define __SOCKET_H__

#ifdef WIN32
#   include <winsock.h>
#else
#   include <netinet/in.h>
#   include <arpa/inet.h>
#endif


/*! Socket is abstract class whitch defined socket connection operations, like opening, closing, sending & recieving data across sockets
 */
class Socket {
    
public:
    
	Socket() {}
	~Socket() {}
    
	virtual bool connect(sockaddr_in * serverAddrIn) = 0;
	virtual bool close() = 0;
	virtual bool send(char * msg) = 0;		
	virtual bool receive(char * msg) = 0;	
};

#endif /*__SOCKET_H__*/
