/*! \file TCPSocket.h
 <pre>
 <b>File:</b> TCPSocket.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 03/10/2008
 <b>Contents:</b> <TEXT>
 </pre>
 */

#ifndef __TCPSOCKET_H__
#define __TCPSOCKET_H__

#ifdef WIN32
#include <winsock.h>
#else
#include <arpa/inet.h>
#endif

#include "Socket.h"

class TCPSocket: public Socket {
    
private:
    
#ifdef WIN32
    SOCKET fileDescriptor;
#else
    int fileDescriptor;
#endif
    
    bool created;
    bool connected;
    int connectionTry;
    char sendingBuffer[4096];
    char receivingBuffer[8192];
    int receivingBufferLen;
    
public:
    
    TCPSocket();
    bool connect(sockaddr_in *serveraddr_in);
    bool send(char *msg);
    bool receive(char *msg);
    bool close();
};

#endif /*__TCPSOCKET_H__*/
