/*! \file TSocket.h
 <pre>
 <b>File:</b> TSocket.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 03/10/2008
 <b>Contents:</b> <TEXT>
 </pre>
 */

#ifndef __TSOCKET_H__
#define __TSOCKET_H__

#define NET_BUFFER_SIZE 8192

#ifdef WIN32
#   include <winsock.h>
#else
#   include <netinet/in.h>
#   include <arpa/inet.h>
#endif

#ifdef WIN32
#	define cleanup() WSACleanup()
#	define startup() do { WSADATA info; WSAStartup(MAKEWORD(2, 0), &info); } while(0)
#else
#	define cleanup() do {} while(0)
#	define startup() do {} while(0)
#	define closesocket(x) ::close(x)
#	define SOCKET int
#endif

/* TSocket class TODO_COMMENT
 */
class TSocket {
    
private:
    
    SOCKET sockFD;                  /*!< socket file descriptor */
    sockaddr_in server;             /*!< TODO_COMMENT*/
    unsigned int bufferSize;        /*!< TODO_COMMENT*/
    
public:
    
    TSocket();
    
    bool connect(const char *ip, unsigned short int port);
    bool send(const char *msg);
    bool receive(char *buffer, unsigned int bufferSize);
    bool select(unsigned int seconds = 0, unsigned int microseconds = 0);
    bool close();
};

#endif /*TSocket_H_*/
