/*! \file UDPSocket.h
 <pre>
 <b>File:</b> UDPSocket.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 03/10/2008
 <b>Contents:</b> <TEXT>
 </pre>
 */

#ifndef __UDPSOCKET_H__
#define __UDPSOCKET_H__

#ifdef WIN32
#include <winsock.h>
#else
#include <arpa/inet.h>
#endif

#include "Socket.h"

class UDPSocket: public Socket
    {
    private:
#ifdef WIN32
        SOCKET fileDescriptor;
#else
        int fileDescriptor;
#endif
        bool created;
        bool sendandReceive;
        char sendingBuffer[4096];
        char receivingBuffer[4096];
        sockaddr_in *serveraddr_in;
    public:
        UDPSocket();
        bool connect(sockaddr_in *serveraddr_in);
        bool send(char *msg);
        bool receive(char *msg);
        bool close();
    };

#endif /*__UDPSOCKET_H__*/
