/*! \file Config.h
 <pre>
 <b>File:</b> Config.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 03/10/2008
 <b>Contents:</b> <TEXT>
 </pre>
 */

#ifndef __CONFIG_H__
#define __CONFIG_H__

#ifdef WIN32
#   define strcasecmp _stricmp
#endif

#define NET_BUFFER_SIZE 8192 /* max TCP message size */

#include "tinyxml/tinyxml.h"
#include "Communication.h"

/* TODO */	
class PlayerConfig {
    
public:
    
    PlayerConfig();
    
    char team[100];						/*< TODO_COMMENT */
    int number;							/*< TODO_COMMENT */
};


/* TODO */
class WorldConfig {
    
public:
    
    WorldConfig();
    
    double ballRadius;					/*< ball radius */
};

/* TODO */
class Config {
    
private:
    
    TiXmlDocument xmlDocument;			/*< TODO_COMMENT */
    
public:
    
    bool useThreads;					/*< TODO_COMMENT */
    char serverIP[100];					/*< server IP */
    unsigned short serverPort;			/*< server port */
    ConnectionType connectionType;		/*< used connection type (TCP or UDP) */
    PlayerConfig player;				/*< TODO_COMMENT */
    WorldConfig world;					/*< TODO_COMMENT */
    
    Config();
    
    static bool getAttributeString(TiXmlElement* pElement, const char *pAttribute, char *string, unsigned int stringSize);
    static bool getAttributeInt(TiXmlElement* pElement, const char *pAttribute, int &integer);
    static bool getAttributeDouble(TiXmlElement* pElement, const char *pAttribute, double &num);
    int loadConfig(const char *xmlFile);
};

#endif /*__CONFIG_H__*/
