/*! \file WorldModel.h
 <pre>
 <b>File:</b> WorldModel.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 03/10/2008
 <b>Contents:</b> This class represents World model = what does player know and see (simulation time, game time, ball position,
                  own net positions, opponent net position and finally teammates and opponents positions).
 </pre>
 */

#ifndef __WORLDMODEL_H__
#define __WORLDMODEL_H__

#include "Object.h"
#include "Ball.h"
#include "Player.h"
#include "Net.h"
#include "ServerMsgParser.h"

/* TODO
 */
class WorldModel {
    
public:
    
	double simTime;				/*!< Simulation time in seconds */
	double gameTime;			/*!< Game time in seconds */
    
	int playMode;				/*!< Current play mode */ 
    
	Ball * ball;				/*!< Ball */
	
	Net * defenceNet;			/*!<TODO */
	Net * offenceNet;			/*!<TODO */
	
	Object * defenceLCorner;	/*!<TODO */
	Object * defenceRCorner;	/*!<TODO */
	Object * offenceLCorner;	/*!<TODO */
	Object * offenceRCorner;	/*!<TODO */
	
	Player * opponents;			/*!<TODO */
	Player * teammates;			/*!<TODO */
    
	WorldModel();
	~WorldModel();
	
	void update(ServerMsgParserData * parsedData);
};

#endif /*__WORLDMODEL_H__*/
