/*! \file DynamicObject.h
 <pre>
 <b>File:</b> DynamicObject.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 02/27/2008
 <b>Contents:</b> This class represents dynamic object like ball, Player etc. It's a subclass of Object and
                  adds new attributes like speed, acceleration or mass.
 </pre>
 */

#ifndef __DYNAMICOBJECT_H__
#define __DYNAMICOBJECT_H__

#include "Object.h"

/* Class DynamicObject contains RoboCup information that is available for objects that can move
 */
class DynamicObject: public Object {
    
public:
    
	CoordSpherical speed;				/*!< object speed */
	CoordSpherical acceleration;		/*!< object acceleration */
	
	double mass;						/*!< object mass */
    
	DynamicObject();
	~DynamicObject();
	
	CoordSpherical predictPosition(double dt);
};

#endif /*__DYNAMICOBJECT_H__*/
