/*! \file Object.h
 <pre>
 <b>File:</b> Object.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created: </b> 02/27/2008
 <b>Contents:</b> This class represents universal object with position and last seen time.
 </pre>
 */

#ifndef __OBJECT_H__
#define __OBJECT_H__

#include "CoordSpherical.h"

/*! Class Object contains RoboCup information that is available for all objects in the simulation. */ 
class Object {
    
public:
	
	CoordSpherical position;			/*!< object position */
	double timestamp;					/*!< last seen of object */
    
	Object();
	Object(CoordSpherical _position, double _timestamp);
	~Object();
};

#endif /*__OBJECT_H__*/
